package org.jeecg.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.system.entity.SysArea;

import java.util.List;

/**
 * @Description: sys_area
 * @Author: jeecg-boot
 * @Date: 2022-01-05
 * @Version: V1.0
 */
public interface SysAreaMapper extends BaseMapper<SysArea> {

	/**
	 * 编辑节点状态
	 * @param id
	 * @param status
	 */
	void updateTreeNodeStatus(@Param("id") String id, @Param("status") String status);

	List<String> queryCidByPid(@Param("id") String id);

	List<String> quickGetChild(@Param("id") String id);

	List<SysArea> querySysCementListByUserId(Page<SysArea> page, String userId, String msgCategory);
}
